summaryrefslogtreecommitdiff
path: root/debian/apt.postinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/apt.postinst')
-rwxr-xr-xdebian/apt.postinst4
1 files changed, 4 insertions, 0 deletions
diff --git a/debian/apt.postinst b/debian/apt.postinst
index deb422aa5..5820db587 100755
--- a/debian/apt.postinst
+++ b/debian/apt.postinst
@@ -22,6 +22,10 @@ case "$1" in
rm -f "$keyring"
fi
done
+ # apt-key before 0.9.8.2 could create 0600 trusted.gpg file
+ if test -e /etc/apt/trusted.gpg ; then
+ chmod -f 0644 /etc/apt/trusted.gpg || true
+ fi
fi
if dpkg --compare-versions "$2" lt-nl 0.9.9.5; then